using FreeSql.DataAnnotations;
using System.ComponentModel.DataAnnotations;

namespace Admin.Core.Model.Admin 
{
    /// <summary>
    /// 数据字典
    /// </summary>
	[Table(Name = "ad_dictionary")]
    [Index("uk_role_parentid_name", "ParentId,Name", true)]
    public class DictionaryEntity: EntityBase
    {
        /// <summary>
        /// 字典父级
        /// </summary>
		public long ParentId { get; set; }

        /// <summary>
        /// 字典名称
        /// </summary>
        [MaxLength(50)]
        public string Name { get; set; }

        /// <summary>
        /// 字典编码
        /// </summary>
        [MaxLength(50)]
        public string Code { get; set; }

        /// <summary>
        /// 字典值
        /// </summary>
        [MaxLength(50)]
        public string Value { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [MaxLength(4000)]
        public string Description { get; set; }

        /// <summary>
        /// 启用
        /// </summary>
		public bool Enabled { get; set; } = true;

        /// <summary>
        /// 排序
        /// </summary>
		public int Sort { get; set; }
    }
}
