
using System.Threading.Tasks;
using Admin.Core.Model.Input;
using Admin.Core.Model.Output;
using Admin.Core.Model.Admin;
using Admin.Core.Service.Admin.View.Input;


namespace Admin.Core.Service.Admin.View
{
    /// <summary>
    /// ͼ
    /// </summary>
    public interface IViewService
    {
        /// <summary>
        /// һ¼
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<IResponseOutput> GetAsync(long id);

        Task<IResponseOutput> ListAsync(string key);

        Task<IResponseOutput> PageAsync(PageInput<ViewEntity> model);

        Task<IResponseOutput> AddAsync(ViewAddInput input);

        Task<IResponseOutput> UpdateAsync(ViewUpdateInput input);

        Task<IResponseOutput> DeleteAsync(long id);

        Task<IResponseOutput> SoftDeleteAsync(long id);

        Task<IResponseOutput> BatchSoftDeleteAsync(long[] ids);

        Task<IResponseOutput> SyncAsync(ViewSyncInput input);
    }
}
